GH-CODESPACE-PORTS(1)

NAME
gh-codespace-ports - List ports in a codespace

SYNOPSIS
gh codespace ports [flags]

AVAILABLE COMMANDS

gh-codespace-ports-forward(1)
    Forward ports

gh-codespace-ports-visibility(1)
    Change the visibility of the forwarded port

OPTIONS

-c, --codespace <string>
    Name of the codespace

-q, --jq <expression>
    Filter JSON output using a jq expression

--json <fields>
    Output JSON with the specified fields

-R, --repo <string>
    Filter codespace selection by repository name (user/repo)

--repo-owner <string>
    Filter codespace selection by repository owner (username or org)

-t, --template <string>
    Format JSON output using a Go template; see "gh help formatting"

JSON FIELDS
browseUrl, label, sourcePort, visibility

EXIT CODES
0: Successful execution

1: Error

2: Command canceled

4: Authentication required

NOTE: Specific commands may have additional exit codes. Refer to the command's help for more information.

SEE ALSO
gh-codespace(1)